package org.gcube.tests;

import org.gcube.data.publishing.ckan2zenodo.Ckan2Zenodo;
import org.gcube.data.publishing.ckan2zenodo.Ckan2ZenodoImpl;
import org.gcube.data.publishing.ckan2zenodo.model.report.EnvironmentReport;
import org.junit.Assume;
import org.junit.Test;

public class EnvironmentCheckTests {

    @Test
    public void failCheckEnvironemnt(){
        TokenSetter.set("/gcube");
        Ckan2Zenodo client=new Ckan2ZenodoImpl();
        EnvironmentReport report=client.checkEnvironment();
        Assume.assumeFalse(report.isok());
        System.out.println(report);
    }

    @Test
    public void okCheckEnvironemnt(){
        TokenSetter.set("/pred4s/preprod/preVRE");
        Ckan2Zenodo client=new Ckan2ZenodoImpl();
        EnvironmentReport report=client.checkEnvironment();
        Assume.assumeTrue(report.isok());
        System.out.println(report);
    }
}
